Skocz do zawartości

Poszukuje skryptu na level za zabójstwa na chacie


Polecane posty

Witam, Tak jak w Temacie potrzebuje skrypt na tak jakby rank. Dokładnie? Potrzebuje skrypt który będzie liczył zabójstwo każdej osoby i będzie wyświetlana ta liczba na czacie koło nicku osoby a jeżeli ktoś tą osobę zabije to odejmuje mu to zabójstwo, Robię serwer pvp i chce mieć coś w stylu rankingu jak na serwerach easyhc albo megadrop.

Z góry dziękuje i pozdrawiam

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

a jakbyś sobie wziął i wgrał plugin na gildie funnyguilds i wyłączył zakładanie gildii? Dzięki czemu miałbyś punkty gracza? {RANK} 

Ja to zwykły chłopak ze skromnego miasta,

oni mówią na mnie gwiazda 

mnie powoli to przerasta

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

Może takie coś będzie Ci pasować:

variables:
	{kills::%player%} = 0

on chat:
	set chat format to "&7[&c&l%{kills::%player%}%&7] [player]&8: &f[message]"

on death:
	if attacker is a player:
		if victim is a player:
			add 1 to {kills::%attacker%}
			remove 1 from {kills::%victim%}
			if {kills::%victim%} < 0:
				set {kills::%victim%} to 0

 

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
  • AlexsanderARG zmienił tytuł tematu Poszukuje skryptu na level za zabójstwa na chacie
23 godziny temu, skywarn napisał:

a jakbyś sobie wziął i wgrał plugin na gildie funnyguilds i wyłączył zakładanie gildii? Dzięki czemu miałbyś punkty gracza? {RANK} 

Kiedyś tak próbowałem i nie wyszło mi, Ale dzięki zobaczę jak nie będę miał tego skryptu.

8 godzin temu, nik1002 napisał:

Może takie coś będzie Ci pasować:

variables:
	{kills::%player%} = 0

on chat:
	set chat format to "&7[&c&l%{kills::%player%}%&7] [player]&8: &f[message]"

on death:
	if attacker is a player:
		if victim is a player:
			add 1 to {kills::%attacker%}
			remove 1 from {kills::%victim%}
			if {kills::%victim%} < 0:
				set {kills::%victim%} to 0

 

[17:57:29 INFO]: [Skript] Reloading rank.sk...
[17:57:29 ERROR]: 'chat format' is not an entity type (rank.sk, line 5: set chat format to "&7[&c&l%{kills::%player%}%&7] [player]&8: &f[message]"')
[17:57:29 INFO]: [Skript] Encountered 1 error while reloading rank.sk!

 

 

???...

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
13 minut temu, nik1002 napisał:

Której wersji Skripta używasz?

nie wiem, ale chyba nie o taki skrypt mi chodzi

 

Przed chwilą, Oliwier4563 napisał:

nie wiem, ale chyba nie o taki skrypt mi chodzi

Może wytłumacze dokładniej, na czacie koło ranki, prefixu, nicku, ma się wyświetlać licznik zabójstw, przy każdej wiadomości, jeżeli osoba w ogóle nie zabiła to 0, zabiła 5 osób to 5 itp. a jeżeli umrze to odejmuje mu 1, umrze jeszcze raz to następne 1 itd. 

Dnia 7.10.2020 o 17:55, skywarn napisał:

a jakbyś sobie wziął i wgrał plugin na gildie funnyguilds i wyłączył zakładanie gildii? Dzięki czemu miałbyś punkty gracza? {RANK} 

Zobaczyłem i funny guilds nie ma na 1.7.x-1.8.x

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
1 godzinę temu, Oliwier4563 napisał:

nie wiem, ale chyba nie o taki skrypt mi chodzi

Zadziała dokładnie tak jak opisałeś, musisz tylko skripta zaktualizować.

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
1 godzinę temu, Oliwier4563 napisał:

nie wiem, ale chyba nie o taki skrypt mi chodzi

 

Może wytłumacze dokładniej, na czacie koło ranki, prefixu, nicku, ma się wyświetlać licznik zabójstw, przy każdej wiadomości, jeżeli osoba w ogóle nie zabiła to 0, zabiła 5 osób to 5 itp. a jeżeli umrze to odejmuje mu 1, umrze jeszcze raz to następne 1 itd. 

Zobaczyłem i funny guilds nie ma na 1.7.x-1.8.x

Ten skrypt robi dokładnie to co napisałeś. Sprawdziłem i funkcja chat formatu jest dostępna od werski Skripta 2.2-DEV31. Możliwe że masz starszą przez co Ci nie działa. Tutaj pobierz najnowszą: https://github.com/SkriptLang/Skript/releases

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
9 minut temu, nik1002 napisał:

Ten skrypt robi dokładnie to co napisałeś. Sprawdziłem i funkcja chat formatu jest dostępna od werski Skripta 2.2-DEV31. Możliwe że masz starszą przez co Ci nie działa. Tutaj pobierz najnowszą: https://github.com/SkriptLang/Skript/releases

Ta wersja nie zadziała na 1.8, a właśnie na tej wersji jest serwer autora tematu.

 

Użyj tą wersję - https://github.com/Matocolotoe/Skript-1.8/releases

Lub zmień wersję serwera na najnowszą

1 godzinę temu, Oliwier4563 napisał:

Zobaczyłem i funny guilds nie ma na 1.7.x-1.8.x

Funnyguilds jest na wszystkie wersje.

EDIT: link jeśli nie znajdziesz: https://ci.insertt.dev/job/FunnyGuilds/job/master/170/artifact/target/FunnyGuilds 4.7.0 (MC 1.8-1.15).jar

Edytowano przez Helios1993

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
Dnia 8.10.2020 o 21:01, Helios1993 napisał:

Ta wersja nie zadziała na 1.8, a właśnie na tej wersji jest serwer autora tematu.

 

Użyj tą wersję - https://github.com/Matocolotoe/Skript-1.8/releases

Lub zmień wersję serwera na najnowszą

Funnyguilds jest na wszystkie wersje.

EDIT: link jeśli nie znajdziesz: https://ci.insertt.dev/job/FunnyGuilds/job/master/170/artifact/target/FunnyGuilds 4.7.0 (MC 1.8-1.15).jar

ja pobrałem serwer 1.7.10 z spigota czyli mam serwer spigot 1.7.10 ale można wchodzić na wersje 1.7.x-1.8.x i niektóre pluginy działają z 1.8.x bo mam i nie ma błędów żadnych, i jest taki problem że ten plugin FunnyGuilds 4.7.0 (MC 1.8-1.15) mi nie działa 😕 Ale chce mieć inny serwer nie chce mieć typowych serwerów pvp chce żeby mój się odróżniał i żeby był dobry. 

Dnia 8.10.2020 o 20:54, nik1002 napisał:

Ten skrypt robi dokładnie to co napisałeś. Sprawdziłem i funkcja chat formatu jest dostępna od werski Skripta 2.2-DEV31. Możliwe że masz starszą przez co Ci nie działa. Tutaj pobierz najnowszą: https://github.com/SkriptLang/Skript/releases

[13:27:10 INFO]: [Skript] Enabling Skript v2.5
[13:27:10 ERROR]: Error occurred while enabling Skript v2.5 (Is it up to date?)
java.lang.NoClassDefFoundError: com/google/gson/GsonBuilder
        at ch.njol.skript.update.ReleaseManifest.load(ReleaseManifest.java:49) ~[?:?]
        at ch.njol.skript.SkriptUpdater.loadManifest(SkriptUpdater.java:76) ~[?:?]
        at ch.njol.skript.SkriptUpdater.<init>(SkriptUpdater.java:59) ~[?:?]
        at ch.njol.skript.Skript.onEnable(Skript.java:315) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:412) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:476) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:394) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.n(MinecraftServer.java:360) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.g(MinecraftServer.java:334) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.a(MinecraftServer.java:290) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:210) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
Caused by: java.lang.ClassNotFoundException: com.google.gson.GsonBuilder
        at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_261]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_261]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_261]
        ... 15 more
[13:27:10 INFO]: [SkQuery] Enabling SkQuery v3.21.4
[13:27:10 ERROR]: Error occurred while enabling SkQuery v3.21.4 (Is it up to date?)
java.lang.NullPointerException
        at com.w00tmast3r.skquery.skript.DynamicEnumTypes.register(DynamicEnumTypes.java:22) ~[?:?]
        at com.w00tmast3r.skquery.SkQuery.onEnable(SkQuery.java:22) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:412) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:476) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:394) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.n(MinecraftServer.java:360) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.g(MinecraftServer.java:334) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.a(MinecraftServer.java:290) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:210) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
        at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
 

 

 

no to klops :c cos się spinkoliło xD

 

 

Dnia 8.10.2020 o 18:56, nik1002 napisał:

Której wersji Skripta używasz?

Teraz tak zobaczyłem i chyba używam pluginu skrypt 2.1.2 na wersje minecraft 1.7.2 i chyba wyżej czy jakoś tak

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
Przed chwilą, Helios1993 napisał:

Zmień wersję na 1.8.8 i silnik na paper.

na 1.8.8 nie ma permissionsEx a ja innego pluginu nie rozumiem, już robiłem serwer na 1.8.8 a że nie umiem za bardzo wyszukiwać odpowiedzi na moje problemy w internecie to już tyle fajnych projektów serwerów usunąłem że jak pomyśle o tym to mi szkoda :c

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

permissionsex jest na 1.8.8 co nie zmienia faktu, że luckperms jest o wiele lepszy.

 

 

Ja to zwykły chłopak ze skromnego miasta,

oni mówią na mnie gwiazda 

mnie powoli to przerasta

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
3 godziny temu, Oliwier4563 napisał:

na 1.8.8 nie ma permissionsEx a ja innego pluginu nie rozumiem, już robiłem serwer na 1.8.8 a że nie umiem za bardzo wyszukiwać odpowiedzi na moje problemy w internecie to już tyle fajnych projektów serwerów usunąłem że jak pomyśle o tym to mi szkoda :c

PermissionsEx jest jednym z gorszych pluginów na uprawnienia i jego używanie nie jest zalecane. Zamiast niego użyj luckperms.

Udostępnij ten post


Link to postu
Udostępnij na innych stronach
4 minuty temu, Helios1993 napisał:

PermissionsEx jest jednym z gorszych pluginów na uprawnienia i jego używanie nie jest zalecane. Zamiast niego użyj luckperms.

Dobra dajcie już spokój, nie wasz interes jaki będę miał plugin na serwerze.

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

Owszem nie nasz interes, ale permissionex ma sporo błędów, przez które najpewniej możesz mieć włamanie na serwer, więc po co Ci to? Mało tego, możesz przejść z pexa na luckperms bez problemu, wystarczy, że użyjesz komendy do migracji uprawnień.

 

Co do tematu, to tak jak już pisał Helios, zmień wersję pluginu oraz wersję gry i wtedy nie będzie problemu.

Udostępnij ten post


Link to postu
Udostępnij na innych stronach

Bądź aktywny! Zaloguj się lub utwórz konto

Tylko zarejestrowani użytkownicy mogą komentować zawartość tej strony

Utwórz konto

Zarejestruj nowe konto, to proste!

Zarejestruj nowe konto

Zaloguj się

Posiadasz własne konto? Użyj go!

Zaloguj się
  • Kto przegląda   0 użytkowników

    Brak zalogowanych użytkowników przeglądających tę stronę.

×
Okienko zamknie się za 5 sekund...